package md

type MqQueue struct {
	ExchangeName   string `json:"exchangeName"`     //交换机名字
	Name           string `json:"name"`             //队列名字
	Type           string `json:"type"`             //队列类型
	IsPersistent   bool   `json:"is_persistent"`    //队列是否持久化
	RoutKey        string `json:"rout_key"`         //路由
	BindKey        string `json:"bind_key"`         //绑定的路由
	ConsumeFunName string `json:"consume_fun_name"` //消费方法
}

var RabbitMqQueueKeyList = []*MqQueue{
	{
		ExchangeName:   "egg.im",
		Name:           "egg_user_register_my_fans",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "my_fans",
		BindKey:        "my_fans",
		ConsumeFunName: "UserRegisterConsumeForMyFans",
	},
	{
		ExchangeName:   "egg.im",
		Name:           "egg_user_register_my_recommender",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "my_recommender",
		BindKey:        "my_recommender",
		ConsumeFunName: "UserRegisterConsumeForMyRecommender",
	},
	{
		ExchangeName:   "egg.im",
		Name:           "egg_user_register_official",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "official",
		BindKey:        "official",
		ConsumeFunName: "UserRegisterConsumeForOfficial",
	},
}

const (
	UserRegisterConsumeForMyFansFunName        = "UserRegisterConsumeForMyFans"
	UserRegisterConsumeForMyRecommenderFunName = "UserRegisterConsumeForMyRecommender"
	UserRegisterConsumeForOfficialFunName      = "UserRegisterConsumeForOfficial"
)
